Openwall GNU/*/Linux - a small security-enhanced Linux distro for servers
[<prev] [next>] [day] [month] [year] [list]
Date: Tue, 7 Mar 2017 19:03:08 -0500
From: "Robert B. Harris" <rs904c@...scape.net>
To: <john-users@...ts.openwall.com>
Subject: John the Ripper v1.8.0.9-jumbo-1-bleeding, version on 2017-03-06, compiled for MS Windows 64-bit, available on the custom-builds wiki

The John the Ripper Community,

 

It has been two years since my last contribution to the custom-builds site.

 

I have compiled yesterday's John the Ripper v1.8.0.9-jumbo-1-bleeding
version for MS Windows 64-bit and made it available on the custom-builds
wiki.

 

http://openwall.info/wiki/john/custom-builds

 

Information:

                This contains the MPI+OMP and OMP only SSE4.1 builds of John
the Ripper for MS Windows 64-bit, compiled in MS Windows with the latest
version of cygwin64

                Your CPU must support the SSE4.1 instruction set in order to
run these.

                There are 13 cygwin DLLs need to run John. (Down from 20
cygwin DLLs in the past.) These DLLs are in a separate file on the site
above, and must be copied into the run folder, if you don't already have
cygwin64 installed.

 

Build Info:

                $ ./john -list=build-info

                Version: 1.8.0.9-jumbo-1-bleeding

                Build: cygwin 64-bit SSE4.1-ac MPI + OMP

                SIMD: SSE4.1, interleaving: MD4:3 MD5:3 SHA1:1 SHA256:1
SHA512:1

                $JOHN is ./

                Format interface version: 14

                Max. number of reported tunable costs: 3

                Rec file version: REC4

                Charset file version: CHR3

                CHARSET_MIN: 1 (0x01)

                CHARSET_MAX: 255 (0xff)

                CHARSET_LENGTH: 24

                SALT_HASH_SIZE: 1048576

                Max. Markov mode level: 400

                Max. Markov mode password length: 30

                gcc version: 5.4.0

                OpenCL headers version: 2.1

                Crypto library: OpenSSL

                OpenSSL library version: 0100020bf

                OpenSSL 1.0.2k  26 Jan 2017

                GMP library version: 6.1.2

                File locking: fcntl()

                fseek(): fseek

                ftell(): ftell

                fopen(): fopen

                memmem(): System's

 

 

Testing:

 

                During the built-in self-test, both of these versions of
John seems to have died around the benchmark: PBKDF2-HMAC-MD4-opencl
[PBKDF2-MD4 OpenCL 4x]

                However, both of these versions of John pass all tests using
the latest version of the test suite, Version 1.13 from Dec 21, 2014.

                See the test results below, contained in the build for
further information.

 

The following test results are included:

  john-MPI+OMP-test-suite-test-results.txt

  john-omp-built-in-test-results-incomplete.txt

  john-omp-built-in-test-results.txt

  john-omp-test-suite-test-results.txt

  

 

Compiled by: Robert B. Harris from VA

 

Enjoy.

 


Powered by blists - more mailing lists

Your e-mail address:

Powered by Openwall GNU/*/Linux - Powered by OpenVZ